Sign inGet Started

Get a workspace in the organization

GET
/v1/organization/workspaces/{workspace_id}
const workspace = await bird.organization.workspaces.get(
  "ws_01krdgeqcxet5s7t44vh8rt9mg",
);
console.log(workspace.name);
Antwort200
{
  "id": "ws_01krdgeqcxet5s7t44vh8rt9mg",
  "organization_id": "org_01krdgeqcxet5s7t44vh8rt9mg",
  "name": "Production",
  "notification_emails": {
    "operational": [
      "alerts@example.com"
    ]
  },
  "created_at": "2026-05-20T09:14:52Z",
  "updated_at": "2026-05-25T16:42:01Z"
}

Returns any workspace in the organization by ID. Organization administrators can read workspaces without holding a workspace-level role. Organization master keys and authorized CLI or MCP access tokens need organization workspace read access. Workspace API keys cannot call this operation.

Parameter

workspace_idstring

Workspace identifier. Starts with ws_.

Antwort-Payload

id
string
erforderlich
organization_id
string
erforderlich
name
string
erforderlich
notification_emails
object
erforderlich
Untergeordnete Attribute anzeigen
notification_emails.operational
array of string

Addresses for operational notifications about this workspace (sending domain authentication failures, webhook endpoint degradation). When empty, these notifications go to the organization owners. Maximum 10 addresses.

logo_url
nullable string

HTTPS URL to the current workspace logo. null when unset.

created_at
string
erforderlich
updated_at
string
erforderlich

Weiter mit der Dokumentation, Anleitungen und Beispielen zu diesem Thema.